Page MenuHomePhabricator
Paste P7975

(An Untitled Masterwork)
ActivePublic

Authored by Gehel on Jan 11 2019, 4:29 PM.
gehel@boron:~/prometheus-elasticsearch-exporter$ DIST=stretch-wikimedia pdebuild
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LC_MEASUREMENT = "de_CH.UTF-8",
LC_PAPER = "de_CH.UTF-8",
LC_MONETARY = "de_CH.UTF-8",
LC_NAME = "de_CH.UTF-8",
LC_ADDRESS = "de_CH.UTF-8",
LC_NUMERIC = "de_CH.UTF-8",
LC_TELEPHONE = "de_CH.UTF-8",
LC_IDENTIFICATION = "de_CH.UTF-8",
LC_TIME = "de_CH.UTF-8",
LANG = "en_US.UTF-8"
are supported and installed on your system.
perl: warning: Falling back to a fallback locale ("en_US.UTF-8").
dpkg-checkbuilddeps: error: Unmet build dependencies: golang-github-beorn7-perks-dev golang-github-prometheus-common-dev golang-prometheus-client-dev golang-protobuf-extensions-dev golang-github-go-stack-stack-dev golang-github-go-logfmt-logfmt-dev
W: Unmet build-dependency in source
dh clean --buildsystem=golang --with=golang,systemd
dh_testdir -O--buildsystem=golang
dh_auto_clean -O--buildsystem=golang
dh_clean -O--buildsystem=golang
rm -f debian/debhelper-build-stamp
rm -f debian/prometheus-elasticsearch-exporter.substvars
rm -f debian/prometheus-elasticsearch-exporter.*.debhelper
rm -rf debian/prometheus-elasticsearch-exporter/
rm -rf debian/.debhelper/
rm -f debian/*.debhelper.log
rm -f debian/files
find . \( \( \
\( -path .\*/.git -o -path .\*/.svn -o -path .\*/.bzr -o -path .\*/.hg -o -path .\*/CVS \) -prune -o -type f -a \
\( -name '#*#' -o -name '.*~' -o -name '*~' -o -name DEADJOE \
-o -name '*.orig' -o -name '*.rej' -o -name '*.bak' \
-o -name '.*.orig' -o -name .*.rej -o -name '.SUMS' \
-o -name TAGS -o \( -path '*/.deps/*' -a -name '*.P' \) \
\) -exec rm -f {} + \) -o \
\( -type d -a -name autom4te.cache -prune -exec rm -rf {} + \) \)
rm -f *-stamp
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building prometheus-elasticsearch-exporter using existing ./prometheus-elasticsearch-exporter_1.0.4+ds.orig.tar.gz
dpkg-source: info: building prometheus-elasticsearch-exporter in prometheus-elasticsearch-exporter_1.0.4+ds-1.debian.tar.xz
dpkg-source: info: building prometheus-elasticsearch-exporter in prometheus-elasticsearch-exporter_1.0.4+ds-1.dsc
I: Generating source changes file for original dsc
dpkg-genchanges: info: including full source code in upload
I: Copying COW directory
I: forking: rm -rf /var/cache/pbuilder/build/cow.15937
I: forking: cp -al /var/cache/pbuilder/base-stretch-amd64.cow/ /var/cache/pbuilder/build/cow.15937
I: removed stale ilistfile /var/cache/pbuilder/build/cow.15937/.ilist
I: forking: chroot /var/cache/pbuilder/build/cow.15937 cowdancer-ilistcreate /.ilist 'find . -xdev -path ./home -prune -o \( \( -type l -o -type f \) -a -links +1 -print0 \) | xargs -0 stat --format '%d %i ''
I: Invoking pbuilder
I: forking: pbuilder build --debbuildopts --debbuildopts --buildplace /var/cache/pbuilder/build/cow.15937 --buildresult /var/cache/pbuilder/result/stretch-amd64 --architecture amd64 --no-targz --internal-chrootexec 'chroot /var/cache/pbuilder/build/cow.15937 cow-shell' /home/gehel/prometheus-elasticsearch-exporter_1.0.4+ds-1.dsc
I: Running in no-targz mode
I: using fakeroot in build.
W: pbuilder: network will not be disabled during build!
I: Current time: Fri Jan 11 16:18:45 UTC 2019
I: pbuilder-time-stamp: 1547223525
I: copying local configuration
I: mounting /proc filesystem
I: mounting /sys filesystem
I: creating /{dev,run}/shm
I: mounting /dev/pts filesystem
I: redirecting /dev/ptmx to /dev/pts/ptmx
I: policy-rc.d already exists
I: Obtaining the cached apt archive contents
I: Copying source file
I: copying [/home/gehel/prometheus-elasticsearch-exporter_1.0.4+ds-1.dsc]
I: copying [/home/gehel/prometheus-elasticsearch-exporter_1.0.4+ds.orig.tar.gz]
I: copying [/home/gehel/prometheus-elasticsearch-exporter_1.0.4+ds-1.debian.tar.xz]
I: Extracting source
dpkg-source: warning: extracting unsigned source package (prometheus-elasticsearch-exporter_1.0.4+ds-1.dsc)
dpkg-source: info: extracting prometheus-elasticsearch-exporter in prometheus-elasticsearch-exporter-1.0.4+ds
dpkg-source: info: unpacking prometheus-elasticsearch-exporter_1.0.4+ds.orig.tar.gz
dpkg-source: info: unpacking prometheus-elasticsearch-exporter_1.0.4+ds-1.debian.tar.xz
I: Installing the build-deps
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D01apt.wikimedia.org starting
Reading package lists...
Building dependency tree...
Reading state information...
The following additional packages will be installed:
gnupg-agent libassuan0 libffi6 libgnutls30 libhogweed4 libidn11 libidn2-0
libksba8 libnettle6 libnpth0 libp11-kit0 libpsl5 libreadline7 libtasn1-6
libunistring0 pinentry-curses readline-common
Suggested packages:
parcimonie xloadimage dbus-user-session libpam-systemd pinentry-gnome3
scdaemon gnutls-bin pinentry-doc readline-doc
Recommended packages:
dirmngr gnupg-l10n publicsuffix ca-certificates
The following NEW packages will be installed:
gnupg gnupg-agent libassuan0 libffi6 libgnutls30 libhogweed4 libidn11
libidn2-0 libksba8 libnettle6 libnpth0 libp11-kit0 libpsl5 libreadline7
libtasn1-6 libunistring0 pinentry-curses readline-common wget
debconf: delaying package configuration, since apt-utils is not installed
0 upgraded, 19 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/4812 kB of archives.
After this operation, 12.8 MB of additional disk space will be used.
Selecting previously unselected package libassuan0:amd64.
(Reading database ... 11685 files and directories currently installed.)
Preparing to unpack .../00-libassuan0_2.4.3-2_amd64.deb ...
Unpacking libassuan0:amd64 (2.4.3-2) ...
Selecting previously unselected package pinentry-curses.
Preparing to unpack .../01-pinentry-curses_1.0.0-2_amd64.deb ...
Unpacking pinentry-curses (1.0.0-2) ...
Selecting previously unselected package libnpth0:amd64.
Preparing to unpack .../02-libnpth0_1.3-1_amd64.deb ...
Unpacking libnpth0:amd64 (1.3-1) ...
Selecting previously unselected package readline-common.
Preparing to unpack .../03-readline-common_7.0-3_all.deb ...
Unpacking readline-common (7.0-3) ...
Selecting previously unselected package libreadline7:amd64.
Preparing to unpack .../04-libreadline7_7.0-3_amd64.deb ...
Unpacking libreadline7:amd64 (7.0-3) ...
Selecting previously unselected package gnupg-agent.
Preparing to unpack .../05-gnupg-agent_2.1.18-8~deb9u3_amd64.deb ...
Unpacking gnupg-agent (2.1.18-8~deb9u3) ...
Selecting previously unselected package libksba8:amd64.
Preparing to unpack .../06-libksba8_1.3.5-2_amd64.deb ...
Unpacking libksba8:amd64 (1.3.5-2) ...
Selecting previously unselected package gnupg.
Preparing to unpack .../07-gnupg_2.1.18-8~deb9u3_amd64.deb ...
Unpacking gnupg (2.1.18-8~deb9u3) ...
Selecting previously unselected package libnettle6:amd64.
Preparing to unpack .../08-libnettle6_3.3-1+b2_amd64.deb ...
Unpacking libnettle6:amd64 (3.3-1+b2) ...
Selecting previously unselected package libhogweed4:amd64.
Preparing to unpack .../09-libhogweed4_3.3-1+b2_amd64.deb ...
Unpacking libhogweed4:amd64 (3.3-1+b2) ...
Selecting previously unselected package libidn11:amd64.
Preparing to unpack .../10-libidn11_1.33-1_amd64.deb ...
Unpacking libidn11:amd64 (1.33-1) ...
Selecting previously unselected package libffi6:amd64.
Preparing to unpack .../11-libffi6_3.2.1-6_amd64.deb ...
Unpacking libffi6:amd64 (3.2.1-6) ...
Selecting previously unselected package libp11-kit0:amd64.
Preparing to unpack .../12-libp11-kit0_0.23.3-2_amd64.deb ...
Unpacking libp11-kit0:amd64 (0.23.3-2) ...
Selecting previously unselected package libtasn1-6:amd64.
Preparing to unpack .../13-libtasn1-6_4.10-1.1+deb9u1_amd64.deb ...
Unpacking libtasn1-6:amd64 (4.10-1.1+deb9u1) ...
Selecting previously unselected package libgnutls30:amd64.
Preparing to unpack .../14-libgnutls30_3.5.8-5+deb9u4_amd64.deb ...
Unpacking libgnutls30:amd64 (3.5.8-5+deb9u4) ...
Selecting previously unselected package libunistring0:amd64.
Preparing to unpack .../15-libunistring0_0.9.6+really0.9.3-0.1_amd64.deb ...
Unpacking libunistring0:amd64 (0.9.6+really0.9.3-0.1) ...
Selecting previously unselected package libidn2-0:amd64.
Preparing to unpack .../16-libidn2-0_0.16-1+deb9u1_amd64.deb ...
Unpacking libidn2-0:amd64 (0.16-1+deb9u1) ...
Selecting previously unselected package libpsl5:amd64.
Preparing to unpack .../17-libpsl5_0.17.0-3_amd64.deb ...
Unpacking libpsl5:amd64 (0.17.0-3) ...
Selecting previously unselected package wget.
Preparing to unpack .../18-wget_1.18-5+deb9u2_amd64.deb ...
Unpacking wget (1.18-5+deb9u2) ...
Setting up libnpth0:amd64 (1.3-1) ...
Setting up readline-common (7.0-3) ...
Setting up libnettle6:amd64 (3.3-1+b2) ...
Setting up libreadline7:amd64 (7.0-3) ...
Setting up libksba8:amd64 (1.3.5-2) ...
Setting up libtasn1-6:amd64 (4.10-1.1+deb9u1) ...
Setting up libhogweed4:amd64 (3.3-1+b2) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Setting up libunistring0:amd64 (0.9.6+really0.9.3-0.1) ...
Setting up libffi6:amd64 (3.2.1-6) ...
Setting up libassuan0:amd64 (2.4.3-2) ...
Setting up libidn11:amd64 (1.33-1) ...
Setting up libidn2-0:amd64 (0.16-1+deb9u1) ...
Setting up libpsl5:amd64 (0.17.0-3) ...
Setting up libp11-kit0:amd64 (0.23.3-2) ...
Setting up pinentry-curses (1.0.0-2) ...
Setting up gnupg-agent (2.1.18-8~deb9u3) ...
Setting up gnupg (2.1.18-8~deb9u3) ...
Setting up libgnutls30:amd64 (3.5.8-5+deb9u4) ...
Setting up wget (1.18-5+deb9u2) ...
Processing triggers for libc-bin (2.24-11+deb9u3) ...
Warning: apt-key output should not be parsed (stdout is not a terminal)
OK
Ign:1 http://mirrors.wikimedia.org/debian stretch InRelease
Get:2 http://apt.wikimedia.org/wikimedia stretch-wikimedia InRelease [54.9 kB]
Hit:3 http://mirrors.wikimedia.org/debian stretch Release
Get:5 http://apt.wikimedia.org/wikimedia stretch-wikimedia/main Sources [52.4 kB]
Get:6 http://apt.wikimedia.org/wikimedia stretch-wikimedia/main amd64 Packages [92.7 kB]
Fetched 200 kB in 0s (653 kB/s)
Reading package lists...
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D01apt.wikimedia.org finished
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D02backports starting
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D02backports finished
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D03spicerack starting
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D03spicerack finished
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D04php72 starting
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D04php72 finished
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D05localsources starting
I: user script /var/cache/pbuilder/build/cow.15937/tmp/hooks/D05localsources finished
-> Attempting to satisfy build-dependencies
-> Creating pbuilder-satisfydepends-dummy package
Package: pbuilder-satisfydepends-dummy
Version: 0.invalid.0
Architecture: amd64
Maintainer: Debian Pbuilder Team <pbuilder-maint@lists.alioth.debian.org>
Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
This package was created automatically by pbuilder to satisfy the
build-dependencies of the package being currently built.
Depends: debhelper (>= 9.0.0), dh-golang, golang-go, dh-systemd (>= 1.5), golang-github-beorn7-perks-dev, golang-github-prometheus-common-dev, golang-prometheus-client-dev, golang-protobuf-extensions-dev, golang-github-go-stack-stack-dev, golang-github-go-logfmt-logfmt-dev
dpkg-deb: building package 'pbuilder-satisfydepends-dummy' in '/tmp/satisfydepends-aptitude/pbuilder-satisfydepends-dummy.deb'.
Selecting previously unselected package pbuilder-satisfydepends-dummy.
(Reading database ... 11966 files and directories currently installed.)
Preparing to unpack .../pbuilder-satisfydepends-dummy.deb ...
Unpacking pbuilder-satisfydepends-dummy (0.invalid.0) ...
dpkg: pbuilder-satisfydepends-dummy: dependency problems, but configuring anyway as you requested:
pbuilder-satisfydepends-dummy depends on debhelper (>= 9.0.0); however:
Package debhelper is not installed.
pbuilder-satisfydepends-dummy depends on dh-golang; however:
Package dh-golang is not installed.
pbuilder-satisfydepends-dummy depends on golang-go; however:
Package golang-go is not installed.
pbuilder-satisfydepends-dummy depends on dh-systemd (>= 1.5); however:
Package dh-systemd is not installed.
pbuilder-satisfydepends-dummy depends on golang-github-beorn7-perks-dev; however:
Package golang-github-beorn7-perks-dev is not installed.
pbuilder-satisfydepends-dummy depends on golang-github-prometheus-common-dev; however:
Package golang-github-prometheus-common-dev is not installed.
pbuilder-satisfydepends-dummy depends on golang-prometheus-client-dev; however:
Package golang-prometheus-client-dev is not installed.
pbuilder-satisfydepends-dummy depends on golang-protobuf-extensions-dev; however:
Package golang-protobuf-extensions-dev is not installed.
pbuilder-satisfydepends-dummy depends on golang-github-go-stack-stack-dev; however:
Package golang-github-go-stack-stack-dev is not installed.
pbuilder-satisfydepends-dummy depends on golang-github-go-logfmt-logfmt-dev; however:
Package golang-github-go-logfmt-logfmt-dev is not installed.
Setting up pbuilder-satisfydepends-dummy (0.invalid.0) ...
Reading package lists...
Building dependency tree...
Reading state information...
Initializing package states...
Writing extended state information...
Building tag database...
pbuilder-satisfydepends-dummy is already installed at the requested version (0.invalid.0)
pbuilder-satisfydepends-dummy is already installed at the requested version (0.invalid.0)
The following NEW packages will be installed:
autoconf{a} automake{a} autopoint{a} autotools-dev{a} bsdmainutils{a} debhelper{a} dh-autoreconf{a} dh-golang{a} dh-strip-nondeterminism{a} dh-systemd{a} file{a} gettext{a} gettext-base{a} golang-1.7-go{a} golang-1.7-src{a} golang-github-beorn7-perks-dev{a} golang-github-davecgh-go-spew-dev{a} golang-github-go-stack-stack-dev{a} golang-github-julienschmidt-httprouter-dev{a} golang-github-pmezard-go-difflib-dev{a} golang-github-prometheus-client-golang-dev{a} golang-github-prometheus-client-model-dev{a} golang-github-prometheus-common-dev{a} golang-github-sirupsen-logrus-dev{a} golang-github-stretchr-objx-dev{a} golang-github-stretchr-testify-dev{a} golang-go{a} golang-golang-x-net-dev{a} golang-golang-x-text-dev{a} golang-golang-x-tools-dev{a} golang-gopkg-check.v1-dev{a} golang-gopkg-yaml.v2-dev{a} golang-goprotobuf-dev{a} golang-procfs-dev{a} golang-protobuf-extensions-dev{a} golang-src{a} golang-x-text-dev{a} golang-yaml.v2-dev{a} groff-base{a} intltool-debian{a} libarchive-zip-perl{a} libbsd0{a} libcroco3{a} libfile-stripnondeterminism-perl{a} libglib2.0-0{a} libicu57{a} libmagic-mgc{a} libmagic1{a} libpipeline1{a} libprotobuf10{a} libprotoc10{a} libsigsegv2{a} libtimedate-perl{a} libtool{a} libxml2{a} m4{a} man-db{a} po-debconf{a} protobuf-compiler{a}
The following packages are RECOMMENDED but will NOT be installed:
libglib2.0-data libltdl-dev libmail-sendmail-perl pkg-config pkgconf shared-mime-info xdg-user-dirs xml-core
0 packages upgraded, 59 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/53.3 MB of archives. After unpacking 246 MB will be used.
The following packages have unmet dependencies:
pbuilder-satisfydepends-dummy : Depends: golang-github-go-logfmt-logfmt-dev which is a virtual package and is not provided by any available package
Unable to resolve dependencies! Giving up...
The following NEW packages will be installed:
autoconf{a} automake{a} autopoint{a} autotools-dev{a} bsdmainutils{a} debhelper{a} dh-autoreconf{a} dh-golang{a} dh-strip-nondeterminism{a} dh-systemd{a} file{a} gettext{a} gettext-base{a} golang-1.7-go{a} golang-1.7-src{a} golang-github-beorn7-perks-dev{a} golang-github-davecgh-go-spew-dev{a} golang-github-go-stack-stack-dev{a} golang-github-julienschmidt-httprouter-dev{a} golang-github-pmezard-go-difflib-dev{a} golang-github-prometheus-client-golang-dev{a} golang-github-prometheus-client-model-dev{a} golang-github-prometheus-common-dev{a} golang-github-sirupsen-logrus-dev{a} golang-github-stretchr-objx-dev{a} golang-github-stretchr-testify-dev{a} golang-go{a} golang-golang-x-net-dev{a} golang-golang-x-text-dev{a} golang-golang-x-tools-dev{a} golang-gopkg-check.v1-dev{a} golang-gopkg-yaml.v2-dev{a} golang-goprotobuf-dev{a} golang-procfs-dev{a} golang-protobuf-extensions-dev{a} golang-src{a} golang-x-text-dev{a} golang-yaml.v2-dev{a} groff-base{a} intltool-debian{a} libarchive-zip-perl{a} libbsd0{a} libcroco3{a} libfile-stripnondeterminism-perl{a} libglib2.0-0{a} libicu57{a} libmagic-mgc{a} libmagic1{a} libpipeline1{a} libprotobuf10{a} libprotoc10{a} libsigsegv2{a} libtimedate-perl{a} libtool{a} libxml2{a} m4{a} man-db{a} po-debconf{a} protobuf-compiler{a}
The following packages are RECOMMENDED but will NOT be installed:
libglib2.0-data libltdl-dev libmail-sendmail-perl pkg-config pkgconf shared-mime-info xdg-user-dirs xml-core
0 packages upgraded, 59 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/53.3 MB of archives. After unpacking 246 MB will be used.
Abort.
E: pbuilder-satisfydepends failed.
I: Copying back the cached apt archive contents
I: unmounting dev/ptmx filesystem
I: unmounting dev/pts filesystem
I: unmounting dev/shm filesystem
I: unmounting proc filesystem
I: unmounting sys filesystem
I: Cleaning COW directory
I: forking: rm -rf /var/cache/pbuilder/build/cow.15937

Event Timeline

Gehel created this paste.Jan 11 2019, 4:29 PM